
TYPO3.TYPO3CR - Feature # 3336

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Query handling
Created: 2009-05-16 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Allow fetching of arbitrary objects by UUID
Description

There is a method getUUIDByObject() in the persistence manager backend. We need the inverse function to be able to retrieve any
object by UUID (without the need to specify the object type).

Associated revisions
Revision 5909a53e - 2009-07-23 16:14 - Karsten Dambekalns

[~TASK] TYPO3CR (FLOW3 Persistence): renamed hasUUID() to hasIdentifier() to by in sync with other method names.
[+TASK] TYPO3CR (FLOW3 Persistence): addded getObjectByIdentifier() to the FLOW3 persistence backend, resolves #3336.

History
#1 - 2009-05-20 14:29 - Karsten Dambekalns
- File BackendTest.patch added
- File Backend.php added
- Status changed from New to Accepted

#2 - 2009-06-10 11:03 - Karsten Dambekalns
- Assigned To deleted (Karsten Dambekalns)

#3 - 2009-07-23 16:14 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#4 - 2009-07-23 17:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2871.

Files
BackendTest.patch 3 kB 2009-05-20 Karsten Dambekalns
Backend.php 620 Bytes 2009-05-20 Karsten Dambekalns
